收藏
回答

如何在开发者工具中调试 不支持wx.getUserProfile情况?

按照官方文档显示 如果未支持getUserProfile 则 可以继续使用getUserinfo,

但是实际开发中 在开发者工具中 手动去修改 调试基础库版本 去判断是否支持getUserProfile的时候,不支持该接口的时候,我调用原来的getUserinfo接口,返回的用户名字和头像都是默认的 微信用户和灰显图片。请问 这事正常的?


回答关注问题邀请回答
收藏

4 个回答

  • brave
    brave
    04-09

    一切以真机为准,工具内仅模拟!目前建议通过以下方式做兼容:

    if (wx.getUserProfile) {
        console.log("支持 wx.getUserProfile")
    } else {
        console.log("不支持 wx.getUserProfile")
    }
    

    若认为该回答有用,给回答者点个[ ]

    04-09
    有用 1
    回复 3
    • 不再
      不再
      04-09
      问个问题 wx.getUserProfile 和 wx.canIUse 校验有什么区别
      04-09
      回复
    • brave
      brave
      04-09回复不再
      wx.canIUse("getUserProfile") 还没全量适配吧,部分基础库还不能进行判断,PC端也可能还不行。
      04-09
      回复
    • 不再
      不再
      04-09回复brave
      好嘞~  没毛病
      04-09
      回复
  • 安达
    安达
    04-13

    我采用的 简单有效 的 wx.getUserProfile 修改方法

    https://developers.weixin.qq.com/community/develop/article/doc/00000cc422c12844b4fb644d056813



    04-13
    有用
    回复
  • Black&潴
    Black&潴
    04-09

    现在开发者工具已经支持使用getUserProfile 


    04-09
    有用
    回复 14
    • Black&潴
      Black&潴
      04-09
      04-09
      回复
    • 不再
      不再
      04-09
      那是要更新成最新的开发者工具吧。。。
      04-09
      回复
    • Black&潴
      Black&潴
      04-09回复不再
      是的,
      04-09
      回复
    • 不再
      不再
      04-09
      😓
      04-09
      回复
    • reus
      reus
      04-09回复不再
      工具在以下基础库版本中支持getUserProfile。
      另外 ,这里确实有个问题,在不支持getUserProfile的基础库版本里,客户端getUserInfo是会返回真实信息的,只有在支持getUserProfile的基础库版本getUserInfo才返回匿名信息。这里开发者工具目前getUserInfo都会返回匿名信息,这里的表现和客户端是不一致的,你可以先在客户端上调试你的兼容逻辑,我们后续调整下这里开发者工具的处理策略
      04-09
      回复
    查看更多(9)
  • 默
    04-09

    正常的 参考

    04-09
    有用
    回复 3
    • 不再
      不再
      04-09
      官方文档不是说 不支持getUserProfile接口的时候 允许调用getUserinfo, 这种情况怎么在开发者工具进行调试。 我是手动设置的调试库, 使getUserProfile接口不支持,然后去调用getUserinfo 发现返回的还是微信用户 和 灰色头像,这怎么玩
      04-09
      回复
    • 默
      04-09回复不再
      最新工具+最新基础库2.16.1、2.16.0 就可以调试这个新的API了
      04-09
      回复
    • 默
      04-09回复不再
      虽然说是2.10.4版本开始支持 但是调试的时候2.10.4以上还是有部分基础库版本不支持 使用最新的版本调试总会没错的
      04-09
      回复
登录 后发表内容
问题标签